﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2004: (1 year) VER RS-232 /9500+5Hd
DATE:                  2010-08-10 11:40:05
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       232
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2004
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Subprocedures:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m)
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Self-Test RS-232
#        Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
#        Sub Tek TDS1000/2000 Select Channel RS-232
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.018  JMPL         END                          @Abort
  1.019  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.020  PORT         *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.023  MATH         @UUT_Model = "TDS 2004"
  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                          @Abort

  1.027  CALL         Sub Tek TDS1000/2000 Specifications

  1.028  MATH         @NumHeads = 5
  1.029  CALL         Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
  1.030  JMPL         END                          @Abort

  1.031  CALL         Sub Tek TDS1000/2000 Self-Test RS-232
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  M9500                       CH1
  1.037  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.038  MATH         @Chan = 2
  1.039  M9500                       CH2
  1.040  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.041  MATH         @Chan = 3
  1.042  M9500                       CH3
  1.043  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.044  MATH         @Chan = 4
  1.045  M9500                       CH4
  1.046  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /9500

  1.047  MATH         @Chan = 1
  1.048  M9500                       CH1
  1.049  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.050  MATH         @Chan = 2
  1.051  M9500                       CH2
  1.052  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.053  MATH         @Chan = 3
  1.054  M9500                       CH3
  1.055  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.056  MATH         @Chan = 4
  1.057  M9500                       CH4
  1.058  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /9500

  1.059  MATH         @Chan = 1
  1.060  M9500                       CH1
  1.061  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.062  MATH         @Chan = 2
  1.063  M9500                       CH2
  1.064  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.065  MATH         @Chan = 3
  1.066  M9500                       CH3
  1.067  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500

  1.068  MATH         @Chan = 4
  1.069  M9500                       CH4
  1.070  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /9500


  1.071  IF           @UsingPowerSplitter
  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.075  MATH         @Chan = 2
  1.076  M9500                       CH1
  1.077  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.078  MATH         @Chan = 3
  1.079  M9500                       CH1
  1.080  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.081  MATH         @Chan = 4
  1.082  M9500                       CH1
  1.083  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+1Hd

  1.084  ELSE
  1.085  MATH         @Chan = 1
  1.086  M9500                       CH15
  1.087  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd

  1.088  MATH         @Chan = 2
  1.089  M9500                       CH25
  1.090  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd

  1.091  MATH         @Chan = 3
  1.092  M9500                       CH35
  1.093  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd

  1.094  MATH         @Chan = 4
  1.095  M9500                       CH45
  1.096  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232/9500+2Hd
  1.097  ENDIF

  1.098  MATH         @Chan = 1
  1.099  M9500                       CH1
  1.100  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /9500

  1.101  LABEL        END

  1.102  IF           @Abort
  1.103  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.104  ELSE
  1.105  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.106  ENDIF

  1.107  PORT         *RST
  1.108  END
